Bug 1249211 - Review Request: cndoom - Conservative Doom engine for speedrunning competition
Review Request: cndoom - Conservative Doom engine for speedrunning competition
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 15:48 EDT by Adam Williamson
Modified: 2015-09-01 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2015-07-31 15:48:43 EDT
Spec URL: https://www.happyassassin.net/reviews/cndoom/cndoom.spec
SRPM URL: Spec URL: https://www.happyassassin.net/reviews/cndoom/cndoom-2.0.3.2-1.fc23.src.rpm
Description: Conservative Doom engine for speedrunning competition
Fedora Account System Username: adamwill
Comment 1 Adam Williamson 2015-07-31 15:49:59 EDT
Hey Rahul, Ankur - either of you feel like taking this? It's based on chocolate-doom, which Rahul packaged and Ankur reviewed. The build is very similar. Thanks!
Comment 2 Adam Williamson 2015-07-31 17:25:54 EDT
Updated to -2: rename some manpages not to conflict with chocolate-doom.

A thought occurs: should we have a small noarch package which owns /usr/share/doom and installs /etc/profile.d/doom.{csh,sh} to set DOOMWADDIR and DOOMWADPATH? http://doomwiki.org/wiki/Environment_variables

then all compliant ports could depend on it, and would find freedoom automatically if it's installed. I was gonna add a file like that to cndoom, but it seems to make more sense as something shared.
Comment 3 Rahul Sundaram 2015-08-12 10:53:45 EDT
I will try and do this tonight.
Comment 4 Rahul Sundaram 2015-09-01 20:03:39 EDT
I will post more notes later:

cndoom.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/cndoom/ChangeLog
cndoom.x86_64: E: invalid-desktopfile /usr/share/applications/cnsetup.desktop value "Settings" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character
cndoom.x86_64: W: desktopfile-without-binary /usr/share/applications/cnsetup.desktop cnsetup
cndoom.src:23: W: unversioned-explicit-provides bundled(sha1-gnupg)

I would welcome the common noarch package and can take patches to spec file if necessary and/or feel free to become a co-maintainer.

Note You need to log in before you can comment on or make changes to this bug.